# $Revision: 1.97 $, $Date: 2006/03/16 19:49:42 $
#
# Conditional build:
%bcond_without	gtk2		# build gtk1 client, not gtk2
#
Summary:	FREE CIVilization clone
Summary(es):	Clon del juego Civilization
Summary(pl):	Niekomercyjny klon CIVilization
Summary(pt_BR):	Clone do jogo Civilization
Name:		freeciv
Version:	2.0.8
Release:	1
License:	GPL
Group:		X11/Applications/Games/Strategy
Source0:	http://dl.sourceforge.net/freeciv/%{name}-%{version}.tar.bz2
# Source0-md5:	9ebd5899c2c78362e0e2c68791673a88
Source1:	ftp://ftp.freeciv.org/freeciv/contrib/sounds/sets/stdsounds3.tar.gz
# Source1-md5:	77215914712f2f351092918f5e41e39e
Source2:	%{name}-client.desktop
Source3:	%{name}-server.desktop
Source4:	%{name}.png
Patch0:		%{name}-link.patch
URL:		http://www.freeciv.org/
BuildRequires:	SDL_mixer-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	esound-devel
%{!?with_gtk2:BuildRequires:	gtk+-devel > 1.2.1}
%{?with_gtk2:BuildRequires:	gtk+2-devel}
%{!?with_gtk2:BuildRequires:	imlib-devel >= 1.9.2}
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Free clone of Sid Meier's Civilization. Free Civilization clone for
unix and X. This is multiplayer strategic game and you can also play
against computer-AI players.

%description -l es
Clon del juego Civilization.

%description -l pl
Freeciv jest to niekomercyjny (GPL) klon gry Civilization Sida Meiera.
Jest to gra strategiczna dla systemu X Window. Mona gra w ni z
innymi osobami poprzez sie, a take przeciwko "graczom" zarzdzanym
przez komputer.

%description -l pt_BR
O FreeCiv  uma implementao do Civilization II para o Sistema X
Window.

%package client
Summary:	Freeciv game client
Summary(pl):	Klient gry Freeciv
Group:		X11/Applications/Games/Strategy
Requires:	%{name} = %{version}-%{release}
Requires:	SDL_mixer
Requires:	esound
%{!?with_gtk2:Requires:	gtk+ > 1.2.1}
%{!?with_gtk2:Requires:	imlib >= 1.9.2}

%description client
This package contains Freeciv game client.

%description client -l pl
Ten pakiet zawiera klienta gry Freeciv.

%package server
Summary:	Freeciv game server
Summary(pl):	Serwer gry Freeciv
Group:		X11/Applications/Games/Strategy
Requires:	%{name} = %{version}-%{release}

%description server
This package contans Freeciv game server.

%description server -l pl
Ten pakiet zawiera server gry Freeciv.

%prep
%setup -q -a1
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
%{!?with_gtk2:	--enable-client=gtk} \
%{?with_gtk2:	--enable-client=gtk2}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}

cp -rf data/stdsounds{,.soundspec} $RPM_BUILD_ROOT%{_datadir}/%{name}

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/he{_IL,}
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog NEWS
%{_pixmapsdir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/helpdata.txt

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/civserver
%{_desktopdir}/%{name}-server.desktop
%{_datadir}/%{name}/civ1
%{_datadir}/%{name}/civ2
%{_datadir}/%{name}/default
%{_datadir}/%{name}/history
%{_datadir}/%{name}/nation
%{_datadir}/%{name}/scenario
%{_datadir}/%{name}/*.serv
%{_mandir}/man6/civserver.6*

%files client
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/civclient
%attr(755,root,root) %{_bindir}/civmanual
%{_desktopdir}/%{name}-client.desktop
%{_datadir}/%{name}/freeciv.rc*
%{_datadir}/%{name}/isotrident
%{_datadir}/%{name}/misc
%{_datadir}/%{name}/trident
%{_datadir}/%{name}/isophex
%{_datadir}/%{name}/flags
%{_datadir}/%{name}/*.*spec
%{_datadir}/%{name}/stdsounds
%{_mandir}/man6/civclient.6*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: freeciv.spec,v $
Revision 1.97  2006/03/16 19:49:42  glen
- add CVE ref

Revision 1.96  2006/03/09 21:28:20  jareq
- updated to 2.0.8 [fixes CVE-2006-0047]

Revision 1.95  2005/12/26 15:37:48  qboosh
- added link patch to kill -lbind from linking, release 2

Revision 1.94  2005/12/26 13:56:10  hawk
- rebuild with new bind
- release should be 1

Revision 1.93  2005/11/15 08:47:19  speedo
- updated to 2.0.7

Revision 1.92  2005/09/17 11:39:50  arekm
- new readline 5.0

Revision 1.91  2005/09/02 16:37:31  adamg
- updated to 2.0.5

Revision 1.90  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.89  2005/07/31 09:07:43  adamg
- updated to 2.0.4

Revision 1.88  2005/07/14 13:26:25  jareq
- updated to 2.0.3
- rel 1

Revision 1.87  2005/07/01 06:21:28  jareq
- updated to 2.0.2
- rel 1

Revision 1.86  2005/06/12 02:06:44  ankry
- locale fixes, rel. 3

Revision 1.85  2005/05/23 18:41:22  qboosh
- cleanup (app-defaults dir not used, plain configure)

Revision 1.84  2005/05/23 18:29:22  qboosh
- fixed app-defaults dir (is it used at all now?), cosmetics

Revision 1.83  2005/05/23 18:23:38  adamg
- include standard sounds
- release 2

Revision 1.82  2005/05/22 18:26:29  saq
- attempt to fix amd64 build

Revision 1.81  2005/05/16 06:57:43  adamg
- BuildRequires: pkgconfig

Revision 1.80  2005/05/15 03:40:34  aredridel
- up to 2.0.1
- locale_names patch may need checking

Revision 1.79  2004/09/25 16:58:45  havner
- %datdir/%name owned by freeciv
- rel 2

Revision 1.78  2004/09/11 06:27:32  paszczus
- updated to 1.14.2

Revision 1.77  2004/08/27 10:48:21  maho
- seems to be stable, rel 5

Revision 1.76  2004/08/22 14:29:21  maho
- freeciv splitted to freeciv,freeciv-client and freeciv-server

Revision 1.75  2004/07/26 07:54:01  ankry
- copy config.sub, rel. 4

Revision 1.74  2004/07/26 07:38:17  ankry
- no -> nb, rel. 3

Revision 1.73  2004/04/06 18:39:51  wolf
- sid meyer

Revision 1.72  2003/12/10 17:57:15  jareq
- fix %setup (my fault - sorry)
- rel 2

Revision 1.71  2003/12/10 17:51:19  jareq
- upgrade to 1.14.1

Revision 1.70  2003/12/10 16:23:49  grzegol
- _applnkdir -> _desktopdir; rel. 1.%%{beta}.1

Revision 1.69  2003/11/20 17:23:28  jareq
- upgrade to 1.14.1-beta4

Revision 1.68  2003/11/10 14:21:37  jareq
- upgrade to 1.14.1-beta3

Revision 1.67  2003/10/19 15:41:28  qboosh
- updated bcond description

Revision 1.66  2003/10/19 11:29:36  wolf
- gtk2 by default

Revision 1.65  2003/09/02 10:48:27  qboosh
- cleanups, pl fixes, removed autogenerated gtk+2 dependency

Revision 1.64  2003/09/02 09:38:48  havner
- added some requires

Revision 1.63  2003/08/25 14:36:54  havner
- stdsounds.spec renamed to stdsounds.soundspec

Revision 1.62  2003/07/08 18:26:39  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.61  2003/05/28 12:58:56  malekith
- massive attack: source-md5

Revision 1.60  2003/05/26 16:24:59  malekith
- massive attack: adding Source-md5

Revision 1.59  2003/05/25 05:47:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.58  2003/01/20 08:23:33  trojan
- updated to 1.14.0
- added bcond _with_gtk2

Revision 1.57  2003/01/18 22:48:33  juandon
- removed two lines with define

Revision 1.56  2002/08/07 13:18:39  kloczek
- updated BuildRequires rules.

Revision 1.55  2002/08/07 13:16:15  kloczek
- updatd to stable 1.13.0,
- added sound support to package (enabled by default).

Revision 1.54  2002/07/10 00:46:07  kloczek
- updated to 1.12.6 (bugfixes).

Revision 1.53  2002/07/04 00:07:50  kloczek
- updated to 1.12.4 (fixes and .. sound support has been added :).

Revision 1.52  2002/05/21 15:55:57  kloczek
- use new %doc packing infrastructure and merge translations from KSI.

Revision 1.51  2002/05/21 10:32:06  pioklo
- update to 1.12.2
- fix %%doc section,STBR

Revision 1.50  2002/04/25 16:19:33  arturs
fixed a small typo

Revision 1.49  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.48  2002/01/18 02:12:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.47  2001/08/11 14:29:00  kloczek
- updated to 1.12.0.

Revision 1.46  2001/08/03 13:02:54  kloczek
- updated to 1.11.8.

Revision 1.45  2001/07/02 07:18:01  kloczek
- updated to 1.11.6.

Revision 1.44  2001/04/13 23:00:45  kloczek
- added automake, autoconf to BuildRequires.

Revision 1.43  2001/04/13 15:35:17  wiget
added gettext patch; rebuild with readline 4.2; release 2

Revision 1.42  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.41  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.40  2000/07/21 12:47:38  kloczek
- updated to 1.11.4.

Revision 1.39  2000/07/18 13:01:53  kloczek
- updated to 1.11.2.

Revision 1.38  2000/07/05 00:10:41  kloczek
- updated to 1.11.0.

Revision 1.37  2000/06/29 14:08:37  kloczek
- updated to 1.10.6.

Revision 1.36  2000/06/22 22:34:29  kloczek
- updated to 1.10.4.

Revision 1.35  2000/06/15 19:57:14  kloczek
- updated to 1.10.2.

Revision 1.34  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.33  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.32  2000/05/18 21:48:35  kloczek
- spec adapterized.

Revision 1.31  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.30  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.29  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.28  2000/02/22 16:08:51  kloczek
- updated to 1.10.0.

Revision 1.27  2000/02/20 07:04:09  kloczek
- updated to 1.9.6.

Revision 1.26  2000/02/15 12:41:57  kloczek
- updated to 1.9.4.

Revision 1.25  2000/02/11 01:45:26  kloczek
- updated to 1.9.2,
- interface style changed to gtk+,
- added icons for menu entries for FC,
- added internationalizations.

Revision 1.24  1999/09/11 19:34:43  pius
- replaced wmconfig files with *.desktop (PR#9)

Revision 1.23  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.22  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 31 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.8.0-2]
- spec writed by PLD team (based on my old spec for freeciv).
